[in progress] OpenGL 3 Support (list of app titles and their status inside)

Discussion in 'Parallels Desktop for Mac Feature Suggestions' started by Docent, Apr 27, 2017.

Tags:
  1. Elvynliew

    Elvynliew Bit poster

    Messages:
    2
    ZW3D - Advanced 3D Software
    Thanks alot !
     
  2. ChristianA14

    ChristianA14 Bit poster

    Messages:
    2
    Parat K├╝chenplanungssoftware, (OpenGL 4.3)
     
  3. Pavel Merkulov

    Pavel Merkulov Parallels Team

    Messages:
    146
    Hello,
    Thank you for your feedback.

    We've clarified the information with the Development Team, and we'd like to confirm that indeed currently Parallels Desktop only support up to OpenGL 3.3 in Windows virtual machines. Our Development Team is working on implementing support for higher versions. At the same time, it is important to note that in macOS itself, the support is limited to up to OpenGL 4.1. Therefore, it isn't likely that support for higher versions of OpenGL in virtual machines running on macOS will be implemented in the foreseeable future.
     
    TimK13 likes this.
  4. mark61

    mark61 Bit poster

    Messages:
    1
    Pixera requires OpenGL 4.5. please add support for this version when it becomes possible.
     
    RobertS97 likes this.
  5. CraigH23

    CraigH23 Junior Member

    Messages:
    19
    AutoCAD and Civil3D please!!
     
  6. TimK13

    TimK13 Junior Member

    Messages:
    19
    This could be a great opportunity to go way beyond what MacOS natively supports.
    One path to achieve that would be for Parallels to implement drivers for Vulkan (possibly achieved as a thin wrapper around MoltenVK).. which may then provide a path to using Zink to achieve OpenGL 4.6 support.

    Reference: https://www.phoronix.com/news/Mesa-22.0-Build-macOS-Zink
     
    JoachimV likes this.
  7. CyrillZ

    CyrillZ

    Messages:
    1
    Can I do something about it?
     

    Attached Files:

  8. Dmitry@Parallels

    Dmitry@Parallels Parallels Team

    Messages:
    702
    Hi @CyrillZ, Vulkan API is not supported by our graphics driver. Have you tried running the program with the OpenGL 3 driver as the message suggests?
     

Share This Page